# Installation

### DEPENDENCIES

> **REQUIRED DEPENDENCIES**

<table data-full-width="false"><thead><tr><th>Resource</th><th>Download</th></tr></thead><tbody><tr><td>Apex Library</td><td><a href="https://astudios.tebex.io/package/5541419">Apex Studios Tebex Store</a></td></tr><tr><td>Framework</td><td><a href="https://github.com/qbcore-framework/qb-core">QBCore</a> or <a href="https://github.com/esx-framework/esx_core">ESX</a></td></tr><tr><td>Target</td><td><a href="https://github.com/qbcore-framework/qb-target">qb-target</a> / <a href="https://github.com/overextended/ox_target">ox_target</a></td></tr><tr><td>Menu</td><td><a href="https://github.com/qbcore-framework/qb-menu">qb-menu</a> &#x26; <a href="https://github.com/qbcore-framework/qb-input">qb-input</a> / <a href="https://github.com/overextended/ox_lib">ox_lib</a></td></tr><tr><td>Inventory</td><td><ul><li><a href="https://github.com/qbcore-framework/qb-inventory">qb-inventory</a></li><li><a href="https://github.com/loljoshie/lj-inventory">lj-inventory</a></li><li><a href="https://github.com/Project-Sloth/ps-inventory">ps-inventory</a></li><li><a href="https://github.com/overextended/ox_inventory">ox_inventory</a></li><li><a href="https://buy.quasar-store.com/category/2395209">Quasar Inventory</a></li></ul></td></tr><tr><td>Media player</td><td><a href="https://github.com/Xogy/xsound">xsound</a></td></tr></tbody></table>

> **OPTIONAL DEPENDENCIES**

| Resource | Download                                                                                                     |
| -------- | ------------------------------------------------------------------------------------------------------------ |
| Mapping  | [Yuri Customs Matrix Nightclub](https://yuri-customs.tebex.io/package/5345005) Recommend / Whatever you want |

### RESOURCE INSTALLATION GUIDE

> **1) RESOURCE DOWNLOAD**

{% hint style="info" %}
Download your resource from [FiveM's Keymaster](https://keymaster.fivem.net/asset-grants).
{% endhint %}

> **2) RESOURCE POSITIONING**

{% tabs %}
{% tab title="QBCore" %}
{% hint style="info" %}

```
ensure qb-core
ensure ox_lib
ensure apex_lib
ensure [apex] -- or ensure apex_matrix
```

{% endhint %}
{% endtab %}

{% tab title="ESX" %}
{% hint style="info" %}

```
ensure es_extended
ensure ox_lib
ensure apex_lib
ensure [apex] -- or ensure apex_matrix
```

{% endhint %}
{% endtab %}
{% endtabs %}

> **3) ASSET ADDING**

{% hint style="info" %}

1. Open apex\_matrix > assets > inventory\_images
2. Copy files from the folder and add them into your inventory image folder
   {% endhint %}

> **4) ITEM ADDING (QBCORE & ESX)**

{% tabs %}
{% tab title="QBCore" %}
{% hint style="info" %}

```lua
--[DRINK INGREDIENTS]--
["ice"] 		= {["name"] = "ice", 		["label"] = "Ice", 		["weight"] = 10, ["type"] = "item", ["image"] = "ice.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["pineapplejuice"] 	= {["name"] = "pineapplejuice", ["label"] = "Pineapple Juice", 	["weight"] = 10, ["type"] = "item", ["image"] = "pineapplejuice.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["lemon"] 		= {["name"] = "lemon", 		["label"] = "Lemon", 		["weight"] = 10, ["type"] = "item", ["image"] = "lemon.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["lime"] 		= {["name"] = "lime", 		["label"] = "Lime", 		["weight"] = 10, ["type"] = "item", ["image"] = "lime.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["sugar"] 		= {["name"] = "sugar", 		["label"] = "Sugar", 		["weight"] = 10, ["type"] = "item", ["image"] = "sugar.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["mint"] 		= {["name"] = "mint", 		["label"] = "Mint", 		["weight"] = 10, ["type"] = "item", ["image"] = "mint.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
["cocomilk"] 		= {["name"] = "cocomilk", 	["label"] = "Coco Milk", 	["weight"] = 10, ["type"] = "item", ["image"] = "cocomilk.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Ingredients"},
--[DRINKS]--
["bluelagoon"] 		= {["name"] = "bluelagoon", 	["label"] = "Blue Lagoon", 	["weight"] = 30, ["type"] = "item", ["image"] = "bluelagoon.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["caipirinha"] 		= {["name"] = "caipirinha", 	["label"] = "Caipirinha", 	["weight"] = 30, ["type"] = "item", ["image"] = "caipirinha.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["pinacolada"] 		= {["name"] = "pinacolada", 	["label"] = "Pinã Colada", 	["weight"] = 30, ["type"] = "item", ["image"] = "pinacolada.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["maitai"] 		= {["name"] = "maitai", 	["label"] = "Mai Tai", 		["weight"] = 30, ["type"] = "item", ["image"] = "maitai.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["mojito"] 		= {["name"] = "mojito", 	["label"] = "Mojito", 		["weight"] = 30, ["type"] = "item", ["image"] = "mojito.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["sanfrancisco"] 	= {["name"] = "sanfrancisco", 	["label"] = "San Francisco", 	["weight"] = 30, ["type"] = "item", ["image"] = "sanfrancisco.png", 	["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["gin"] 		= {["name"] = "gin", 		["label"] = "Gin", 		["weight"] = 30, ["type"] = "item", ["image"] = "gin.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["rum"] 		= {["name"] = "rum", 		["label"] = "Rum", 		["weight"] = 30, ["type"] = "item", ["image"] = "rum.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["whiskey"] 		= {["name"] = "whiskey", 	["label"] = "Whiskey", 		["weight"] = 30, ["type"] = "item", ["image"] = "whiskey.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
["vodka"] 		= {["name"] = "vodka", 		["label"] = "Vodka", 		["weight"] = 30, ["type"] = "item", ["image"] = "vodka.png", 		["unique"] = false, ["useable"] = true, ["shouldClose"] = true, ["combinable"] = nil, ["description"] = "Alcoholic Drink"},
```

{% endhint %}
{% endtab %}

{% tab title="ESX" %}
{% hint style="info" %}

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES
('ice', 'Ice', 10, 0, 1),
('pineapplejuice', 'Pineapple Juice', 10, 0, 1),
('lemon', 'Lemon', 10, 0, 1),
('lime', 'Lime', 10, 0, 1),
('sugar', 'Sugar', 10, 0, 1),
('mint', 'Mint', 10, 0, 1),
('cocomilk', 'Coco Milk', 10, 0, 1),
('bluelagoon', 'Blue Lagoon', 10, 0, 1),
('caipirinha', 'Caipirinha', 10, 0, 1),
('pinacolada', 'Pinã Colada', 10, 0, 1),
('maitai', 'Mai Tai', 10, 0, 1),
('mojito', 'Mojito', 10, 0, 1),
('sanfrancisco', 'San Francisco', 10, 0, 1),
('gin', 'Gin', 10, 0, 1),
('rum', 'Rum', 10, 0, 1),
('whiskey', 'Whiskey', 10, 0, 1),
('vodka', 'Vodka', 10, 0, 1);
```

{% endhint %}
{% endtab %}
{% endtabs %}

> **5) JOB ADDING**

{% tabs %}
{% tab title="QBCore" %}
{% hint style="info" %}

```lua
matrix = {
    label = 'Matrix Nightclub',
    defaultDuty = true,
    offDutyPay = false,
    grades = {
        ['0'] = { name = 'Helper', payment = 50 },
        ['1'] = { name = 'Bartender', payment = 75 },
        ['2'] = { name = 'Manager', isboss = true, payment = 150 },
    },
},
```

{% endhint %}
{% endtab %}

{% tab title="ESX" %}
{% hint style="info" %}

```sql
INSERT INTO `jobs` (name, label) VALUES
('matrix', 'Matrix Nightclub');

INSERT INTO `job_grades` (job_name, grade, name, label, salary, skin_male, skin_female) VALUES
('matrix', 0, 'helper', 'Helper', 30, '{}', '{}'),
('matrix', 1, 'bartender', 'Bartender', 40, '{}', '{}'),
('matrix', 2, 'boss', 'Manager', 60, '{}', '{}');
```

{% endhint %}
{% endtab %}
{% endtabs %}

> **6) CONSUMABLES**
>
> The first 2 blocks i'll show how to add the items into both [qb-smallresources](https://github.com/qbcore-framework/qb-smallresources) and [jim-consumables](https://github.com/jimathy/jim-consumables) for **qbcore**

{% tabs %}
{% tab title="qb-smallresources" %}
{% hint style="info" %}
{% code title="qb-smallresources/config.lua" %}

```lua
Config.ConsumablesAlcohol = {
    ["bluelagoon"] = math.random(40, 80),
    ["pinacolada"] = math.random(40, 80),
    ["sanfrancisco"] = math.random(40, 80),
    ["caipirinha"] = math.random(40, 80),
    ["mojito"] = math.random(40, 80),
    ["maitai"] = math.random(40, 80),
}
```

{% endcode %}
{% endhint %}
{% endtab %}

{% tab title="jim-consumables" %}
{% hint style="info" %}
With jim-consumables, it is a little different, you'll have to find this: **Consumables = {}** in the config file add the following into it.

If you are not able to get it working, ask **jimathy** for help

{% code title="jim-consumables/config.lua" %}

```lua
["bluelagoon"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
["pinacolada"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
["sanfrancisco"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
["caipirinha"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
["mojito"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
["maitai"] = {
	emote = "beer", time = math.random(5000, 6000), stress = math.random(1, 2), heal = 0, armor = 5, type = "alcohol",
	stats = {
		screen = "", effect = "heal", time = 10000, amount = 2,
		hunger = math.random(0,0), thirst = math.random(40, 80),
	},
},
```

{% endcode %}
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apx-studios.com/docs/resources/businesses/nightclubs/apex-matrix/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
